Package csb :: Package io :: Module tsv :: Class Operator

[frames] | no frames]

# Class Operator

source code

    object --+
             |
          Step --+
                 |
                Operator

Instance Methods

__init__(self, table, expression, predicate) x.__init__(...) initializes x; see help(type(x)) for signature | source code

select(self, *columns) Returns: a new Table | source code

update(self, column, value) Update `column` for all rows in the table. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `Step`: `expression`, `table` Inherited from `object`: `__class__`

Method Details

### __init__(self, table, expression, predicate)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### select(self, *columns)

source code

Parameters:
  - `columns` (str, tuple of str) - column names; defaults to all columns
Returns:
  a new Table
Raises:
  - `InvalidColumnError` - when an invalid column is requested

### update(self, column, value)

source code

Update `column` for all rows in the table.

Parameters:
  - `column` (str) - column to update (name)
  - `value` - new column value
Raises:
  - `InvalidColumnError` - when an invalid column is referenced